jQuery(document).ready(function ($) {
	const floatingCart = $('#floating-woocart');
    const cartCount = floatingCart.find('.saw-cart-count');

    // Function to update the cart count dynamically
    function updateCartCount() {
        $.ajax({
            url: woocart_ajax.ajax_url, // Ensure this is set correctly
            type: 'POST',
            data: { action: 'get_cart_count' },
            success: function (response) {
                console.log('AJAX Response:', response); // Debugging log

                if (response && response.count !== undefined) {
                    const count = parseInt(response.count, 10);

                    if (count > 0) {
                        floatingCart.show(); // Ensure the cart is visible
                        cartCount.text(count); // Update the count
                    } else {
                        floatingCart.hide(); // Hide if count is 0
                    }
                } else {
                    console.error('Unexpected AJAX response:', response);
                }
            },
            error: function (error) {
                console.error('AJAX Error:', error);
            }
        });
    }

    // Initialize cart visibility and count
    updateCartCount();

    // Poll for cart updates every 5 seconds (optional)
    setInterval(updateCartCount, 5000);

    // Hover effect for cart icon
    floatingCart.on('mouseenter', function () {
        $(this).css({ transform: 'scale(1.1)' });
    }).on('mouseleave', function () {
        $(this).css({ transform: 'scale(1)' });
    });
});
